import { IAbstractPath, ILoadModuleOptions, IModuleExport } from "./types";
/**
 * 对应的Vue模板编译器的版本
 */
export { version as vueVersion } from "vue2-template-compiler/package.json";
/**
 * 创建单文件组件(SFC) 模块
 * @param source 源码
 * @param filename 虚拟文件名称
 * @param options 参数
 *
 * @return Promise<ModuleExport> 返回导出的模块
 */
export declare function createSFCModule(source: string, filename: IAbstractPath, options: ILoadModuleOptions): Promise<IModuleExport>;
